KD Chart 2: KDChart::HorizontalLineLayoutItem class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::HorizontalLineLayoutItem Class Reference

`#include <KDChartLayoutItems.h>`

Inheritance diagram for KDChart::HorizontalLineLayoutItem:

[legend]
Collaboration diagram for KDChart::HorizontalLineLayoutItem:
[legend]
List of all members.

## Public Member Functions
virtual Qt::Orientations | expandingDirections () const
virtual QRect | geometry () const
| HorizontalLineLayoutItem ()
virtual bool | isEmpty () const
virtual QSize | maximumSize () const
virtual QSize | minimumSize () const
virtual void | paint (QPainter *)
virtual void | paintAll (QPainter &painter)
| Default impl: just call paint.
virtual void | paintCtx (PaintContext *context)
| Default impl: Paint the complete item using its layouted position and size.
QLayout * | parentLayout ()
void | removeFromParentLayout ()
virtual void | setGeometry (const QRect &r)
void | setParentLayout (QLayout *lay)
virtual void | setParentWidget (QWidget *widget)
| Inform the item about its widget: This enables the item, to trigger that widget's update, whenever the size of the item's contents has changed.
virtual QSize | sizeHint () const
virtual void | sizeHintChanged () const
| Report changed size hint: ask the parent widget to recalculate the layout.
## Protected Attributes
QWidget * | mParent
QLayout * | mParentLayout

## Constructor & Destructor Documentation

KDChart::HorizontalLineLayoutItem::HorizontalLineLayoutItem | ( |  | ) |

| Definition at line 418 of file KDChartLayoutItems.cpp.
    00419     : AbstractLayoutItem( Qt::AlignCenter )
    00420 {
    00421 }

## Member Function Documentation

Qt::Orientations KDChart::HorizontalLineLayoutItem::expandingDirections | ( |  | ) | const`[virtual]`

| Definition at line 423 of file KDChartLayoutItems.cpp.
    00424 {
    00425     return Qt::Vertical|Qt::Horizontal; // Grow both vertically, and horizontally
    00426 }

QRect KDChart::HorizontalLineLayoutItem::geometry | ( |  | ) | const`[virtual]`

| Definition at line 428 of file KDChartLayoutItems.cpp.
    00429 {
    00430     return mRect;
    00431 }

bool KDChart::HorizontalLineLayoutItem::isEmpty | ( |  | ) | const`[virtual]`

| Definition at line 433 of file KDChartLayoutItems.cpp.
    00434 {
    00435     return false; // never empty, otherwise the layout item would not exist
    00436 }

QSize KDChart::HorizontalLineLayoutItem::maximumSize | ( |  | ) | const`[virtual]`

| Definition at line 438 of file KDChartLayoutItems.cpp.
    00439 {
    00440     return QSize( QWIDGETSIZE_MAX, QWIDGETSIZE_MAX );
    00441 }

QSize KDChart::HorizontalLineLayoutItem::minimumSize | ( |  | ) | const`[virtual]`

| Definition at line 443 of file KDChartLayoutItems.cpp.
    00444 {
    00445     return QSize( 0, 0 );
    00446 }

void KDChart::HorizontalLineLayoutItem::paint | ( | QPainter * |  | ) | `[virtual]`

| Implements KDChart::AbstractLayoutItem. Definition at line 459 of file KDChartLayoutItems.cpp.
    00460 {
    00461     if( !mRect.isValid() )
    00462         return;
    00463
    00464     painter->drawLine( QPointF( mRect.left(), mRect.center().y() ),
    00465                        QPointF( mRect.right(), mRect.center().y() ) );
    00466 }

void KDChart::AbstractLayoutItem::paintAll | ( | QPainter & | painter | ) | `[virtual, inherited]`

| Default impl: just call paint. Derived classes like KDChart::AbstractArea are providing additional action here. Reimplemented in KDChart::AbstractArea, and KDChart::TextArea. Definition at line 69 of file KDChartLayoutItems.cpp. References KDChart::AbstractLayoutItem::paint().
    00070 {
    00071     paint( &painter );
    00072 }

void KDChart::AbstractLayoutItem::paintCtx | ( | PaintContext * | context | ) | `[virtual, inherited]`

| Default impl: Paint the complete item using its layouted position and size. Reimplemented in KDChart::CartesianAxis. Definition at line 77 of file KDChartLayoutItems.cpp. References KDChart::AbstractLayoutItem::paint(), and KDChart::PaintContext::painter().
    00078 {
    00079     if( context )
    00080         paint( context->painter() );
    00081 }

QLayout* KDChart::AbstractLayoutItem::parentLayout | ( |  | ) | `[inherited]`

| Definition at line 74 of file KDChartLayoutItems.h.
    00075         {
    00076             return mParentLayout;
    00077         }

void KDChart::AbstractLayoutItem::removeFromParentLayout | ( |  | ) | `[inherited]`

| Definition at line 78 of file KDChartLayoutItems.h. Referenced by KDChart::Chart::takeCoordinatePlane().
    00079         {
    00080             if( mParentLayout ){
    00081                 if( widget() )
    00082                     mParentLayout->removeWidget( widget() );
    00083                 else
    00084                     mParentLayout->removeItem( this );
    00085             }
    00086         }

void KDChart::HorizontalLineLayoutItem::setGeometry | ( | const QRect & | r | ) | `[virtual]`

| Definition at line 448 of file KDChartLayoutItems.cpp.
    00449 {
    00450     mRect = r;
    00451 }

void KDChart::AbstractLayoutItem::setParentLayout | ( | QLayout * | lay | ) | `[inherited]`

| Definition at line 70 of file KDChartLayoutItems.h.
    00071         {
    00072             mParentLayout = lay;
    00073         }

void KDChart::AbstractLayoutItem::setParentWidget | ( | QWidget * | widget | ) | `[virtual, inherited]`

| Inform the item about its widget: This enables the item, to trigger that widget's update, whenever the size of the item's contents has changed. Thus, you need to call setParentWidget on every item, that has a non-fixed size. Definition at line 64 of file KDChartLayoutItems.cpp. References KDChart::AbstractLayoutItem::mParent. Referenced by KDChart::Legend::buildLegend(), and KDChart::AbstractCartesianDiagram::takeAxis().
    00065 {
    00066     mParent = widget;
    00067 }

QSize KDChart::HorizontalLineLayoutItem::sizeHint | ( |  | ) | const`[virtual]`

| Definition at line 453 of file KDChartLayoutItems.cpp.
    00454 {
    00455     return QSize( -1, 3 ); // see qframe.cpp
    00456 }

void KDChart::AbstractLayoutItem::sizeHintChanged | ( |  | ) | const`[virtual, inherited]`

| Report changed size hint: ask the parent widget to recalculate the layout. Definition at line 86 of file KDChartLayoutItems.cpp. Referenced by KDChart::TextLayoutItem::sizeHint().
    00087 {
    00088     // This is exactly like what QWidget::updateGeometry does.
    00089 //  qDebug("KDChart::AbstractLayoutItem::sizeHintChanged() called");
    00090     if( mParent ) {
    00091         if ( mParent->layout() )
    00092             mParent->layout()->invalidate();
    00093         else
    00094             QApplication::postEvent( mParent, new QEvent( QEvent::LayoutRequest ) );
    00095     }
    00096 }

## Member Data Documentation

QWidget* KDChart::AbstractLayoutItem::mParent`[protected, inherited]`

| Definition at line 88 of file KDChartLayoutItems.h. Referenced by KDChart::AbstractLayoutItem::setParentWidget().

QLayout* KDChart::AbstractLayoutItem::mParentLayout`[protected, inherited]`

| Definition at line 89 of file KDChartLayoutItems.h.

The documentation for this class was generated from the following files:

- KDChartLayoutItems.h
- KDChartLayoutItems.cpp